Debian Bug report logs - #562104
evince: Incorrect rendering of first page

version graph

Package: evince; Maintainer for evince is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for evince is src:evince.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 22 Dec 2009 18:00:01 UTC

Severity: grave

Found in versions evince/2.28.2-1, evince/2.22.2-4~lenny1, evince/2.30.3-2+squeeze1

Fixed in versions evince/3.4.0-2+build1, evince/3.4.0-3

Done: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#562104; Package evince. (Tue, 22 Dec 2009 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 22 Dec 2009 18:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evince: Incorrect rendering of first page
Date: Tue, 22 Dec 2009 18:47:28 +0100
Package: evince
Version: 2.22.2-4~lenny1
Severity: normal


The first page of the following PDF document is not rendered properly in evince and as icon on my system.

ref:
http://www.compta-entrepreneurs.com/wp-content/uploads/2009/10/guide_auto_entrepreneur.pdf

There is a big pink square that appears on the first page of the doc; but does not when using xpdf or acroread.

Thanks

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evince depends on:
ii  gconf2                 2.22.0-1          GNOME configuration database syste
ii  gnome-icon-theme       2.22.0-1          GNOME Desktop icon theme
ii  libart-2.0-2           2.3.20-2          Library of functions for 2D graphi
ii  libatk1.0-0            1.24.0-2          The ATK accessibility toolkit
ii  libbonobo2-0           2.22.0-1          Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.22.0-1          The Bonobo UI library
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libcairo2              1.8.6-2+b1        The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.2.1-5+lenny1    simple interprocess messaging syst
ii  libdbus-glib-1-2       0.82-2~bpo50+2    simple interprocess messaging syst
ii  libdjvulibre21         3.5.21-3          Runtime support for the DjVu image
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libgconf2-4            2.22.0-1          GNOME configuration database syste
ii  libglade2-0            1:2.6.2-1         library to load .glade files at ru
ii  libglib2.0-0           2.22.2-2          The GLib library of C routines
ii  libgnome-keyring0      2.22.3-2          GNOME keyring services library
ii  libgnome2-0            2.20.1.1-1        The GNOME 2 library - runtime file
ii  libgnomecanvas2-0      2.20.1.1-1        A powerful object-oriented display
ii  libgnomeui-0           2.20.1.1-2        The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0         1:2.22.0-5        GNOME Virtual File System (runtime
ii  libgtk2.0-0            2.18.3-1~bpo50+1  The GTK+ graphical user interface 
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libkpathsea4           2007.dfsg.2-5     TeX Live: path search library for 
ii  libnautilus-extension1 2.20.0-7          libraries for nautilus components 
ii  liborbit2              1:2.14.17-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0          1.26.1-1          Layout and rendering of internatio
ii  libpoppler-glib3       0.8.7-3           PDF rendering library (GLib-based 
ii  libpopt0               1.14-4            lib for parsing cmdline parameters
ii  libsm6                 2:1.1.0-2         X11 Session Management library
ii  libspectre1            0.2.2.ds-1+b2     Library for rendering Postscript d
ii  libstdc++6             4.4.1-1           The GNU Standard C++ Library v3
ii  libtiff4               3.8.2-11.2        Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.2.1-1         X11 client-side library
ii  libxml2                2.7.6.dfsg-1      GNOME XML library
ii  shared-mime-info       0.30-2            FreeDesktop.org shared MIME databa
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages evince recommends:
ii  dbus-x11                      1.2.12-1   simple interprocess messaging syst

Versions of packages evince suggests:
pn  poppler-data                  <none>     (no description available)
ii  unrar                         1:3.8.5-2  Unarchiver for .rar files (non-fre

-- no debconf information




Bug Marked as found in versions evince/2.28.2-1. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 01 Mar 2010 09:21:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Mon, 01 Mar 2010 09:24:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#562104; Package evince. (Wed, 12 Sep 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 12 Sep 2012 09:39:03 GMT) Full text and rfc822 format available.

Message #16 received at 562104@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 562104@bugs.debian.org
Cc: Control bugs server <control@bugs.debian.org>
Subject: attaching file directly
Date: Wed, 12 Sep 2012 11:34:38 +0200
[Message part 1 (text/plain, inline)]
found 562104 evince/2.30.3-2+squeeze1
severity 562104 grave
thanks

Issue is still present in current evince. Since it could make the PDF
completely unusable, I am marking this bug as grave.
[guide_auto_entrepreneur.pdf (application/pdf, attachment)]

Marked as found in versions evince/2.30.3-2+squeeze1. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 12 Sep 2012 09:39:08 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 12 Sep 2012 09:39:08 GMT) Full text and rfc822 format available.

Marked as fixed in versions evince/3.4.0-3. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 12 Sep 2012 09:42:08 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Wed, 12 Sep 2012 09:42:13 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Wed, 12 Sep 2012 09:42:13 GMT) Full text and rfc822 format available.

Message #27 received at 562104-done@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Control bugs server <control@bugs.debian.org>
Cc: 562104 <562104-done@bugs.debian.org>
Date: Wed, 12 Sep 2012 11:38:27 +0200
fixed 562104 evince/3.4.0-3
thanks

Using evince from current sid works ok. Thanks !!



Marked as fixed in versions evince/3.4.0-2+build1. Request was from Andrei Popescu <andreimpopescu@gmail.com> to control@bugs.debian.org. (Sun, 16 Sep 2012 06:12:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:28:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:52:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.